# $Id: anon.bro,v 1.1 2002/10/20 02:35:20 vern Exp $

redef anonymize_ip_addr = T;

const preserved_subnet: set[subnet] = {
	192.150.186/23,
} &redef;

const preserved_net: set[net] = {
	192.150.186, 192.150.187,
} &redef;

global anon_log = open_log_file("anon") &redef;

event bro_init()
	{
	for ( n in preserved_net )
		preserve_net(n);
	}

# event new_connection(c: connection)
# 	{
# 	print fmt("%s %s", network_time(), id_string(c$id));
# 	anonymize_addr(c$id$orig_h);
# 	anonymize_addr(c$id$resp_h);
# 	}

event anonymization_mapping(orig: addr, mapped: addr)
	{
	print anon_log, fmt("%s -> %s", orig, mapped);
	}
